glide (2002.04.10ds1-25) unstable; urgency=medium

  * Use URL instead of FSF postal address for LGPL in debian/copyright.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.
  * Remove versioned Build-Depends on dpkg-dev, satisfied since Debian trixie.
  * Add a debian/watch to mark upstream currently untrackable.
  * Update and fix patch metadata.
  * Switch to Standards-Version 4.7.3 (no changes needed).
  * Update copyright years.
  * Remove lintian overrides that no longer get emitted.

 -- Guillem Jover <guillem@debian.org>  Sat, 21 Feb 2026 03:25:11 +0100

glide (2002.04.10ds1-24) unstable; urgency=medium

  * Fix FTBFS with gcc-14 new default -Werror=incompatible-pointer-types,
    on i386.

 -- Guillem Jover <guillem@debian.org>  Sun, 15 Sep 2024 22:17:15 +0200

glide (2002.04.10ds1-23) unstable; urgency=medium

  * Fix FTBFS with gcc-14 new default -Werror=incompatible-pointer-types.
    Closes: #1075011

 -- Guillem Jover <guillem@debian.org>  Sun, 14 Jul 2024 13:46:19 +0200

glide (2002.04.10ds1-22) unstable; urgency=medium

  * Switch from future=+lfs to abi=+lfs build flags feature, and Build-Depends
    on dpkg-dev >= 1.22.0.
  * Take DPKG_ROOT into account in maintainer scripts.
  * Improve debconf config maintainer script:
    - Use warnings instead of passing -w to perl in the shebang.
    - Use qx() instead of backticks.
    - Remove unused variables.
    - Reduce variables scope.
  * Fix FTBFS due to implicit function declarations.

 -- Guillem Jover <guillem@debian.org>  Wed, 13 Mar 2024 12:49:17 +0100

glide (2002.04.10ds1-21) unstable; urgency=medium

  * Pass --build and --host to configure via chores.3dfx.

 -- Guillem Jover <guillem@debian.org>  Fri, 10 Mar 2023 02:37:51 +0100

glide (2002.04.10ds1-20) unstable; urgency=medium

  * Use autoconf $host_cpu instead of «uname -m» to decide how to optimize
    and what to compile into the resulting objects, which was making the
    build unreproducible on i386 when built on an amd64 build system.

 -- Guillem Jover <guillem@debian.org>  Sat, 04 Mar 2023 13:24:56 +0100

glide (2002.04.10ds1-19) unstable; urgency=medium

  * Enable LFS build options. This should be ABI safe as the shared library
    does not expose any problematic type.
  * Actually show the debconf error when the target is not a symlink.

 -- Guillem Jover <guillem@debian.org>  Sun, 26 Feb 2023 23:15:35 +0100

glide (2002.04.10ds1-18) unstable; urgency=medium

  * Export DEB_BUILD_MAINT_OPTIONS and DEB_CFLAGS_MAINT_APPEND.
  * Switch from hardening=+bindnow to hardening=+all.
  * Do not trim debian/changelog.
  * Update debian/patches metadata.
  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Update copyright years.
  * Update lintian overrides.

 -- Guillem Jover <guillem@debian.org>  Sun, 29 Jan 2023 20:05:53 +0100

glide (2002.04.10ds1-17) unstable; urgency=medium

  * Switch debhelper compatibility level to 13.
  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Remove unused X11 includes, shared library linking and build dependencies.
  * Remove obsolete commented out code in debian/rules (from glide2 origins).
  * Switch to dh sequencer.
  * Update copyright years.
  * Update and add lintian overrides for bogus tags.
  * Add an upstream metadata file.

 -- Guillem Jover <guillem@debian.org>  Sun, 17 Jul 2022 19:09:14 +0200

glide (2002.04.10ds1-16) unstable; urgency=medium

  * Bump debhelper compatibility level to 12.
  * Switch from debian/compat to debhelper-compat Build-Depends.
  * Update copyright years.
  * Remove no longer needed debhelper .dirs fragment files.
  * Bump Standards-Version to 4.5.0 (no changes needed).
  * Reformat license in debian/copyright to remove TABs and reduce spaces.
  * Update lintian-overrides for renamed tags.
  * Update debconf POT and po files, after removal of libglide2 packages.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Mar 2020 04:17:20 +0100

glide (2002.04.10ds1-15) unstable; urgency=medium

  * Remove glide2x packages. These either support cards supported already
    by glide3x, or cards so old that they need an actual 2D video card.
  * Add spaces around make variable assignments in debian/rules.
  * Bump Standards-Version to 4.3.0 (no changes needed).
  * Wrap multi-line field values to the next lines in debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Tue, 26 Feb 2019 04:13:53 +0100

glide (2002.04.10ds1-14) unstable; urgency=medium

  * Sort fields in debian/control and debian/copyright.
  * Do not consider dollar signs as part of the symbol names in assembler
    code, thus getting rid of non-existing unresolvable inserted symbols.
    (Closes: #908955)
    - debian/patches/glide3x-link-unresolved: Update patch.
    - debian/patches/z12-local-libtool: Likewise.
  * Fix installation permissions to always set write rights for the owner, so
    that we can build without root, as fakeroot was shadowing these issues.
    - debian/patches/z13-install-perms: New patch.
  * Set R³ to no.
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Bump debhelper compatibility level to 11.
  * Update copyright years.
  * Add Comment field in debian/copyright describing why the source tarball
    was repackaged.
  * Fix building twice in a row by removing autoconf cruft via debian/clean.

 -- Guillem Jover <guillem@debian.org>  Wed, 19 Sep 2018 09:34:51 +0200

glide (2002.04.10ds1-13) unstable; urgency=medium

  * Do not pass inexistent packages via -N to debhelper. (Closes: #876705)
  * Use -a instead of -s for debhelper commands.
  * Use debhelper compatibility level 10.
  * Line-wrap dependency fields.
  * Now using Standards-Version 4.1.1 (no changes needed).
  * Switch to use dpkg Makefile fragments.
  * Enable bindnow hardening build flags.
  * Remove redundant syntax from postinst scripts. We do not need trailing
    semicolons, nor curly braces.
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Fri, 29 Sep 2017 09:05:32 +0200

glide (2002.04.10ds1-12) unstable; urgency=low

  * Switch debian/copyright to machine-readable format 1.0.
  * Switch Vcs-Browser to a cgit URL.
  * Use dpkg-shlibdeps -l option instead of deprecated LD_LIBRARY_PATH.
  * Debconf template translations:
    - Update Brazilian Portuguese (Adriano Rafael Gomes). (Closes: #799415)
    - Update Spanish (Javier Fernández-Sanguino Peña). (Closes: #773564)
  * Distinguish glide2 and glide3 package short descriptions.
  * Use https for hadrons.org URLs.
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Set -march=i686 to match the ISA bump in the i386 architecture.
  * Remove obsolete Build-Conflicts on automake1.4.
  * Wrap fields in debian/control.

 -- Guillem Jover <guillem@debian.org>  Thu, 19 Jan 2017 02:38:02 +0100

glide (2002.04.10ds1-11) unstable; urgency=low

  * Debconf template translations:
    - Update Dutch (Frans Spiesschaert). (Closes: #764097)
  * Use the build tree libtool instead of the system one, as the libtool binary
    was moved from the libtool package to libtool-bin. (Closes: #769263)
  * Now using Standards-Version 3.9.6 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 12 Nov 2014 20:56:09 +0100

glide (2002.04.10ds1-10) unstable; urgency=low

  * Debconf template translations:
    - Add Slovak (Ivan Masár). (Closes: #709110)
    - Update French (Steve Petruzzello). (Closes: #709308)
    - Update German (Helge Kreutzmann). (Closes: #717585)
    - Update Italian (Luca Monducci). (Closes: #720070)
    - Update Japanese (victory). (Closes: #709072)
    - Update Polish (Michał Kułach). (Closes: #712489)
    - Update Swedish (Martin Bagge). (Closes: #712653)
  * Now using Standards-Version 3.9.5 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Aug 2014 01:59:52 +0200

glide (2002.04.10ds1-9) unstable; urgency=low

  * Remove package creation and maintainers history from debian/copyright.
  * Ignore error from db_unregister in case the template does not exist.
    (Closes: #708341)
  * Remove useless debian/BUGS file, these are tracked in the BTS.
  * Pass CPPFLAGS, CFLAGS and LDFLAGS to upstream build system.
  * Fix format string errors.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Use debhelper compatibility level 9.
  * Debconf template translations:
    - Update Danish (Joe Dalton). (Closes: #708896)
    - Update Galician (Jorge Barreiro). (Closes: #708875)
    - Update Portuguese (Américo Monteiro). (Closes: #708736)
    - Update Russian (Sergey Alyoshin). (Closes: #708440)

 -- Guillem Jover <guillem@debian.org>  Sun, 19 May 2013 16:50:38 +0200

glide (2002.04.10ds1-8) unstable; urgency=low

  * Mark stack on assembler files as not executable.
  * Fix typos in source code spotted by lintian.
  * Do not include headers inside fxTime() function. Fixes build failure
    with gcc-4.8. (Closes: #701287)
  * Now using Standards-Version 3.9.4 (no changes needed).
  * Use correct package name in debconf db_subst call in libglide2 postinst.
  * Use translatable Descriptions in debconf templates.

 -- Guillem Jover <guillem@debian.org>  Tue, 14 May 2013 08:00:34 +0200

glide (2002.04.10ds1-7) unstable; urgency=low

  * Use “-fdollars-in-identifiers -x assembler-with-cpp” instead of “-$” to
    preprocess assembler code through gcc, the later just stopped working
    recently.

 -- Guillem Jover <guillem@debian.org>  Mon, 01 Aug 2011 05:13:22 +0200

glide (2002.04.10ds1-6) unstable; urgency=low

  * Add build-indep and build-arch targets (rename build to build-arch).
  * Update debconf template translations:
    - Danish. Thanks to Joe Dalton <joedalton2@yahoo.dk>. (Closes: #590001)
    - Dutch. Thanks to Jeroen Schot <schot@A-Eskwadraat.nl>. (Closes: #629391)
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 30 Jul 2011 15:23:50 +0200

glide (2002.04.10ds1-5) unstable; urgency=low

  * Debconf template translations:
    - Update Vietnamese. (Closes: #548039)
      Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch target calls from debian/rules.
    - Remove now unneeded debian/README.source.
  * Remove duplicated source Section field from libglide2 and libglide3
    binary package stanzas.
  * Add md5sum control files to binary packages.
  * Now using Standards-Version 3.8.4 (no changes needed).
  * Switch libglide2-dev and libglide3-dev dependencies on libglide2 and
    libglide3 (respectively) to be strictly versioned. This was not done
    as historically the -dev packages were arch:all.
  * Add lintian overrides for “useless ldconfig calls”, as the symlink under
    /usr/lib to the actual backend only gets created at install time.

 -- Guillem Jover <guillem@debian.org>  Tue, 27 Apr 2010 02:11:41 +0200

glide (2002.04.10ds1-4) unstable; urgency=low

  * Debconf template translations:
    - Update Basque. (Closes: #530596)
      Thanks to Piarres Beobide <pi+debian@beobide.net>.
    - Update Spanish. (Closes: #532290)
      Thanks to Francisco Javier Cuadrado <fcocuadrado@gmail.com>.
    - Update Swedish. (Closes: #528573)
      Thanks to Martin Bagge <brother@bsnet.se>.
    - Update Finnish. (Closes: #533223)
      Thanks to Esko Arajärvi <edu@iki.fi>.
  * Unify debconf template translation headers.
  * Now using Standards-Version 3.8.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 10 Sep 2009 15:09:49 +0200

glide (2002.04.10ds1-3) unstable; urgency=low

  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Debconf templates and package descriptions reviewed by the
    debian-l10n-english team as part of the Smith review project.
    Thanks to Christian Perrier <bubulle@debian.org> for the coordination.
    (Closes: #524384)
  * Debconf template translations:
    - Update Czech. (Closes: #527376)
      Thanks to Michal Šimůnek <michal.simunek@gmail.com>.
    - Update French. (Closes: #527212)
      Thanks to Steve Petruzzello <dlist@bluewin.ch>.
    - Update Galician. (Closes: #527325)
      Thanks to Marce Villarino <mvillarino@gmail.com>.
    - Update German. (Closes: #527487)
      Thanks to Erik Schanze <schanzi_@gmx.de>.
    - Update Italian. (Closes: #526377)
      Thanks to Luca Monducci <luca.mo@tiscali.it>.
    - Update Japanese. (Closes: #525098)
      Thanks to Hideki Yamane <henrich@debian.or.jp>.
    - Update Portuguese. (Closes: #527324)
      Thanks to Américo Monteiro <a_monteiro@netcabo.pt>.
    - Update Russian. (Closes: #526755)
      Thanks to Sergey Alyoshin <alyoshin.s@gmail.com>.
  * Update debconf .po files from the .pot file.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 May 2009 06:45:41 +0200

glide (2002.04.10ds1-2) unstable; urgency=low

  * Do not try to install glide2 libraries on non-i386.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Feb 2009 13:45:16 +0200

glide (2002.04.10ds1-1) unstable; urgency=low

  * Repackage upstream tarball to stop using tar-in-tar.
  * Demote glide2-bin from Recommends to Suggests in libglide2.
    (Closes: #504647)
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Fix typo (llibglide → libglide) in libglide2-dev Conflicts field.
  * Refactor glide3 build code into a make define and use it for h3 and h5.
  * Switch from dbs to quilt:
    - Remove debian/vars.
    - Remove dbs and added quilt to Build-Depends.
    - Add new debian/patches/series file.
  * Update debian/rules for quilt:
    - Use CURDIR instead of SRC_DIR.
    - Include quilt.make.
    - Remove now unused debian/patch.mk.
    - Merge sys-clean into clean target.
    - Merge build.glide2.cvg and build.glide2.h3 into build.glide2.
    - Merge build.glide3.h3 and build.glide3.h5 into build.glide3.
    - Move swlibs symlinking into each build and clean target.
    - On clean patch and unpatch before the actual cleaning.
    - Remove now unused targets unpack and make-patch.
  * Refresh all patches with -pab.
  * Remove unused install.headers.glide2 target from debian/rules.
  * Merge all binary-<pkg> targets into binary-arch.
    - Add “-s” to debhelper commands.
    - Add “-Nglide2-bin -Nglide3-bin” to the general dh_shlibdeps call.
  * Use “#else” instead of “#elif”, fix a FTBFS with gcc-4.4. (Closes: #504838)
    Based on a patch by Martin Michlmayr <tbm@cyrius.com>.
  * Merge build.glide2 and build.glide3 into the build target.
  * Only clean glide2x directory on the same architectures where it's built.
  * Move file installation for glide2-bin, glide3-bin, libglide2-dev and
    libglide3-dev from debian/rules to .install files.
  * Move dh_strip after dh_link.
  * Install textures for test programs in glide2-bin.
  * Install additional test programs in glide2-bin.
  * Remove obsolete Conflicts, Provides and Replaces from binary packages.
  * Add missing ${misc:Depends} substvar to Depends fields.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Feb 2009 06:48:12 +0200

glide (2002.04.10-18) unstable; urgency=low

  * Pass LD_LIBRARY_PATH directly to dh_shlibdeps, because it forces the -l
    argument to be an absolute path breaking the build. (Closes: #501426)

 -- Guillem Jover <guillem@debian.org>  Wed, 08 Oct 2008 05:03:49 +0300

glide (2002.04.10-17) unstable; urgency=low

  * Update packaging Vcs fields to the new URL.
  * Remove packaging svn information from debian/copyright.
  * Refer to LGPL-2 from common-licenses instead of just LGPL.
  * Debconf template translations:
    - Add Basque. (Closes: #494804)
      Thanks to Piarres Beobide <pi+debian@beobide.net>.
    - Add Finnish. (Closes: #495253)
      Thanks to Esko Arajärvi <edu@iki.fi>.
    - Add Italian. (Closes: #494562)
      Thanks to Luca Monducci <luca.mo@tiscali.it>.
    - Add Japanese. (Closes: #495161)
      Thanks to Hideki Yamane <henrich@debian.or.jp>.
    - Add Russian. (Closes: #494465)
      Thanks to Yuri Kozlov <kozlov.y@gmail.com>.
    - Add Swedish. (Closes: #484006)
      Thanks to Martin Bagge <brother@bsnet.se>.
  * Update debconf .po files.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Oct 2008 00:49:42 +0300

glide (2002.04.10-16) unstable; urgency=low

  * Pass the proper -l argument to dh_shlibdeps for glide2-bin, from the
    build dir instead of the installed dir, as there's no symlink pointing
    to the hardware specific library there. (Closes: #456875)
    Based on a patch by Anibal Avelar <aavelar@cofradia.org>.

 -- Guillem Jover <guillem@debian.org>  Fri, 25 Jan 2008 00:11:58 +0200

glide (2002.04.10-15) unstable; urgency=low

  * Debconf template translations:
    - Added Galician. (Closes: #412657)
      Thanks to Jacobo Tarrio <jtarrio@trasno.net>.
  * Add -L and -l arguments to dh_shlibdeps for glide2-bin and glide3-bin
    package stanzas. (Closes: #453790)
  * Switch Build-Depends from automake1.9 to automake.
  * Do not include empty directories in libglide3-dev, glide3-bin and
    glide2-bin packages.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Add Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Dec 2007 01:44:28 +0200

glide (2002.04.10-14) unstable; urgency=high

  * The "anything for the percentages" release.
  * Disable assembler optimized triangle setup functions for glide2, as they
    are not PIC clean. (Closes: #376812)
    - debian/patches/glide2x-clobber-pic-reg: Removed file.
    - debian/patches/glide2x-c-trisetup: New file.
  * Link against libm, so that pow is a resolvable symbol.
    - debian/patches/glide2x-link-libm: New file.
    - debian/patches/glide3x-link-libm: Likewise.
  * Do not consider dollar signs as part of the symbol names in assembler
    code, thus getting rid of non-existing unresolvable inserted symbols.
    (Closes: #329920, #326099)
    - debian/patches/glide3x-link-unresolved: New file.
  * Enable C based cpu detection code on !i386 instead of only on alpha.
    This fixes a missing unresolved symbol on amd64 and ia64. (Closes: #307058)
    - debian/patches/z07-cpudetect-no-ia32: New file.
  * Debconf template translations:
    - Updated Dutch. (Closes: #375673, #377260, #388113)
      Thanks to Kurt De Bree <kdebree@telenet.be>.

 -- Guillem Jover <guillem@debian.org>  Thu,  8 Mar 2007 06:05:36 +0200

glide (2002.04.10-13) unstable; urgency=low

  * Build all binary dependent packages under binary-arch. (Closes: #366062)
  * Use CURDIR instead of PWD in debian/rules.
  * Debconf template translations:
    - Added Portuguese. (Closes: #362838)
      Thanks to André Costa <skit@argon.ath.cx>.

 -- Guillem Jover <guillem@debian.org>  Fri,  5 May 2006 04:55:13 +0300

glide (2002.04.10-12) unstable; urgency=low

  * Update FSF's address in debian/copyright.
  * Reindent 3dfx license in debian/copyright.
  * Debconf template translations:
    - Updated Danish by Claus Hindsgaul. (Closes: #321920)
    - Updated Vietnamese. (Closes: #322285)
      Thanks to Clytie Siddall <clytie@riverland.net.au>.
    - Updated Czech. (Closes: #322426)
      Thanks to Miroslav Kure <kurem@upcase.inf.upol.cz>.
    - Updated German. (Closes: #345847)
      Thanks to Erik Schanze <schanzi_usenet@gmx.de>.
  * Wrap lines in debian/control fields.
  * Use new X.org 7.0 paths for modules. (Closes: #362116)
  * Switched to debhelper compatibility level 5.
  * Change architectures for development packages from all to match their
    library packages.
  * Change Build-Depends from automake1.7 to automake1.9.

 -- Guillem Jover <guillem@debian.org>  Thu, 13 Apr 2006 13:14:03 +0300

glide (2002.04.10-11) unstable; urgency=low

  * Use -march only on i386, revert to -mcpu for alpha.
  * Change insane optimization level for i386 from -O6 to -O3.
  * Add new xorg-x11 Build-Depends on libxxf86dga-dev and libxxf86vm-dev.

 -- Guillem Jover <guillem@debian.org>  Sat,  6 Aug 2005 19:53:28 +0300

glide (2002.04.10-10) unstable; urgency=low

  * Debconf template translations:
    - Added Vietnamese. (Closes: #311796)
      Thanks to Clytie Siddall <clytie@riverland.net.au>.
    - Added Czech. (Closes: #310880)
      Thanks to Miroslav Kure <kurem@upcase.inf.upol.cz>.
  * Fix some typos in the templates. (Closes: #311797)
    Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * Unfuzzy correct translations for Catalan, Spanish, French and
    Brazilian Portuguese.
  * Use -march instead of -mcpu.
  * Use misc:Depends instead of an explicit dependency to debconf (>= 0.5)
    to get the alternative debconf-2.0 as well.
  * Do not mark PIC register %ebx as clobbered in asm statement, as it is
    being restored from the stack with eip contents before jumping to the
    function. (Closes: #320588)
    - debian/patches/glide2x-clobber-pic-reg: New file.
  * Do not declare functions inside other functions. Protect assembler macro
    redefinitions with C preprocessor macros.
    - debian/patches/z06-gcc401-fix: New file.
  * Do not change xterm title on build. (Closes: #297276)
  * Fix Subversion repository URL.
  * Now using Standards-Version 3.6.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Fri,  5 Aug 2005 06:25:28 +0300

glide (2002.04.10-9) unstable; urgency=low

  * Fix build failure when using libglide3.so and it points to
    libglide3_h5.so.
    - debian/patches/glide3x-build-with-voodoo5. (Closes: #270442)
      Thanks to Hans de Goede <j.w.r.degoede@hhs.nl>.
  * Fix build failure with gcc 3.4. And as a side effect fix the build
    for amd64.
    - debian/patches/z04-gcc34-port. (Closes: #272474)
      Thanks to Kaare Hviid <ukh@id.cbs.dk>.
  * Fix build failure with gcc 4.0.
    - debian/patches/z05-gcc4-fix. (Closes: #286845)
      Thanks to Andreas Jochens <aj@andaco.de>.

 -- Guillem Jover <guillem@debian.org>  Thu, 23 Dec 2004 23:34:58 +0100

glide (2002.04.10-8) unstable; urgency=low

  * Debconf template translations:
    - Fix some Catalan slang. Thanks to Jordi Mallach.
  * Revert moving libglide3.so symlink to package libglide3-dev.
    Because XFree86 requires libglide3.so to load the library.
    Make libglide3 Replaces libglide3-dev to be able to overwrite the
    symlink. (Closes: #256940)

 -- Guillem Jover <guillem@debian.org>  Wed,  7 Jul 2004 16:01:35 +0200

glide (2002.04.10-7) unstable; urgency=low

  * Added amd64 support.
    - debian/patches/z03-amd64-port. (Closes: #248156)
  * Enabled amd64 and ia64 on debian/control.
  * Allow building binary independent packages on any arch.
  * Build-Conflict against automake1.4, as it lacks AM_PROG_AS.
  * Added the location of the Subversion repo used for the packages.
  * Added -O2 to the fallback arch CFLAGS.

 -- Guillem Jover <guillem@debian.org>  Thu, 17 Jun 2004 05:16:09 +0200

glide (2002.04.10-6) unstable; urgency=low

  * Debconf template translations:
    - Added Danish by Claus Hindsgaul.
    - Added Dutch. (Closes: #253452)
      Thanks to Luk Claes <luk.claes@ugent.be>.
    - Added German. (Closes: #253178)
      Thanks to Erik Schanze <schanzi_usenet@gmx.de>.
    - Use typographic quotes in Catalan and Spanish translations.
  * debian/control:
    - Place Build-Depends on one line only, otherwise some tools cannot cope.
    - Use new xfree86 Build-Depends.
    - Lower-case first short description letter.
  * Move libglide3.so symlink to package libglide3-dev. (Closes: #242063)
  * Added a BUGS file to keep track of things.
  * debian/patches:
    - glide3x-libtool-patch: Use libtoolize instead, to be in sync and not
      break with libtool.sh and libtool.m4 mismatch. (Closes: #254135)
    - glide3x-build-fix: Quote sed expressions, and balance a missing one.
  * debian/rules: Cleaned a bit. Marked targets as PHONY. Renamed setup target
    to unpack, and make_patch to make-patch.
  * debian/copyright: Cleaned and use properly "License:" instead of
    "Copyright:".

 -- Guillem Jover <guillem@debian.org>  Mon, 14 Jun 2004 22:56:07 +0200

glide (2002.04.10-5) unstable; urgency=low

  * debian/control:
    - Tighten libtool Build-Depends. (Closes: #215512)
    - Removed libglide3 Suggests for device3dfx, as it used DRI instead.
  * debian/patches/swlibs-004-ioctl: Adapt to the new libc's ioctl.h.
  * debian/patches/glide3x-autoconf-update: Updated to fix missing symbols
    in glide3 H5 library, due to deprecated usage of compiler options.
    Thanks to Nathan Hand <Nathan.Hand@defence.gov.au>.
  * Debconf template translations:
    - Updated Catalan. Some verbal form fixes.

 -- Guillem Jover <guillem@debian.org>  Fri,  5 Dec 2003 06:03:10 +0100

glide (2002.04.10-4) unstable; urgency=low

  * debian/control:
    - Now -dev packages are correctly architecture all.
    - Remove legacy Conflicts with old glide packages.
  * debian/rules:
    - Build unconditionally all indep packages, regardless of architecture.
  * Updated TODO list.

 -- Guillem Jover <guillem@debian.org>  Sun, 14 Sep 2003 18:49:37 +0200

glide (2002.04.10-3) unstable; urgency=low

  * The Great Unification Release:
    - Added 64bit support, deprecating glide3-alpha. Patches:
      debian/patches/z01-64bit-support
      debian/patches/z02-64bit-support

  * Switch from inbound dbs to the Debian dbs package. Depend on dbs >= 0.25
    as previous versions had a bug with sys-build.mk.
  * debian/rules: Now only one rule unpacks and patches the source. It was
    causing problems with 64 bit ports building only glide2.
  * Updated the TODO list.
  * Debconf template translations:
    - Added Brazilian Portuguese. (Closes: #198256)
      Thanks to Andre Luis Lopes <andrelop@debian.org>.
    - Added French. (Closes: #199687)
      Thanks to Christian Perrier <bubulle@debian.org>.
  * Updated to latest libtool (1.5.0a) as well as config.guess and config.sub.
    (Closes: #208851)
  * Removed debian/old.patches directory.
  * Split debian/patches/glide-fix-warnings into:
    debian/patches/glide2x-fix-warnings
    debian/patches/glide3x-fix-warnings
    debian/patches/swlibs-fix-warnings
  * Now using Standards-Version 3.6.1.

 -- Guillem Jover <guillem@debian.org>  Fri,  5 Sep 2003 20:26:40 +0200

glide (2002.04.10-2) unstable; urgency=low

  * Fixed a call to the old perl debconf module from libglide3.config,
    missed in the transition. (Closes: #197204, #197215)
  * Cleaned the .config scripts.
  * Debconf template translations:
    - Added Catalan.
    - Added Spanish.

 -- Guillem Jover <guillem@debian.org>  Fri, 13 Jun 2003 02:35:34 +0200

glide (2002.04.10-1) unstable; urgency=low

  * New Maintainer. (Closes: #189820)
  * New Upstream glide3x Source.
    - Disable FX_GLIDE_SWAPINTERVAL by default. (Closes: #118851)
  * Reverted packaging to non-native.

  * Removed emacs cruft from changelog.
  * Removed unused debian/sources file.
  * Removed dangling vim swap file.
  * debian/control:
    - Moved packages from section devel to libdevel.
    - Moved device3dfx-source from Recommends to Suggests. (Closes: #110954)
    - Improved short package description.
    - Removed legacy dummy package glide2-base.
    - Removed mention to Voodoo Banshee and Voodoo 3 from libglide2
      description. (Closes: #166350, #159373, #140355)
    - Removed build dependency on csh.
    - Corrected dependencies on debconf.
  * Removed empty debian/libglide[23]x.config files.
  * Moved .conf files to proper .config files. Don't execute them from
    postinst. Which fixes configure hanging sometimes on first
    install. (Closes: #143550, #143551, #175006)
  * Recognise "Voodoo 4 / Voodoo 5" properly. (Closes: #186133)
  * Use new debconf perl module on .config files.
  * Delegated ldconfig calls to debhelper autogenerated snippets.
  * debian/rules:
    - Cleaned.
    - Use --build-dir instead of --build when calling chores.3dfx as it was
      building the source, and when calling build.3dfx and passing build
      variables they had no effect.
    - Removed deprecated calls to dh_uncocumented.
    - Moved call to dh_installdeb after dh_makeshlibs, otherwise the
      generated shell snippets had no effect.
    - Install pass cvg test binary from glide2-bin to /usr/lib/glide2/bin/.
  * Switched to debhelper compatibility level 4.
  * Switched to po-debconf (build depend on debhelper >= 4.1.16).
  * Now using Standards-Version 3.5.10.

  * debian/patches/swlibs-nomore-csh: Script ostype converted to bash.
  * debian/patches/swlibs-001-mcpu-flag: Fixed gcc warnings on -m486 flag.
  * debian/patches/swlibs-002-automake: Allow user to supply build variables.
  * debian/patches/swlibs-003-libm: When building with noopt libm is required.
  * debian/patches/glide-fix-warnings: Fixed misc warnings.
  * debian/patches/glide2x-pregasp: Fixed missing gasp with its preprocessed
    output. Thanks to Daniel Schepler <schepler@debian.org>.
    (Closes: #143848, #165307)
  * debian/patches/glide2x-use-3dfx.mak: Include the newer 3dfx.mak instead
    of 3dfx.linux.mak.
  * debian/patches/glide2x-preprocessor: Fixed preprocessor invalid token
    errors.
  * debian/patches/glide3x-preprocessor: Likewise.
  * debian/patches/glide3x-autoconf-update:
    - Updated glide3x configure.in to autoconf 2.53 and automake 1.7.
    - Run automake with --add-missing. (Closes: #116341)
    - Give build.3dfx exec permissions.
    - Use $(CPP) instead of /lib/cpp.
    - Use proper shared object for gthread.c.
    - Include current directory for asm targets.
  * debian/patches/glide3x-comments-warnings: Fixed comment nesting warnings.
  * debian/patches/glide3x-build-multiargs: Fixed giving build.3dfx multiple
    arguments, thus allowing to pass variable assignments.
  * debian/patches/glide3x-debug-varargs: Fixed so much warnings generated
    by debug macros that caused the compilation to fail.

 -- Guillem Jover <guillem@debian.org>  Thu, 12 Jun 2003 07:15:59 +0200

glide (2001.01.26-1.1) unstable; urgency=low

  * NMU with permission of Zephaniah E. Hull <warp@debian.org>.
  * Corrected the build dependencies. (closes: #88373)
  * Updated libtool in glide3x (to get the package building).

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 17 Jun 2001 23:20:42 +0200

glide (2001.01.26-1) unstable; urgency=high

  * Updated source.
  * Completely killed sst1 support, it has been broken too long.
    (closes: #79204, #74510)

 -- Zephaniah E. Hull <warp@debian.org>  Fri, 26 Jan 2001 07:16:01 -0500

glide (2000.11.02.06-1) unstable; urgency=low

  * Some rules cleanup.
  * sst1 works again! (closes: #74510, #74681)
  * Politely handle the case where someone might be compiling against
    glide, and thus will have the glide packages installed without
    having a 3Dfx card in the system. (closes: #77381)
  * Noted that I seem to have fixed bugs in the past and not closed the
    reports. (closes: #70612, #70857)

 -- Zephaniah E. Hull <warp@debian.org>  Mon, 27 Nov 2000 06:49:32 -0500

glide (2000.11.02.06) unstable; urgency=low

  * And roughly five and a half hours later.
  * Updated the glide3x source, specificly fixing a bashism in
    chores.3dfx, which I just commited to upstream CVS.
  * Fixed a bashism in debian/scripts/vars.build.
  * Thanks to Timshel Knoll for both patches.

 -- Zephaniah E. Hull <warp@debian.org>  Fri,  3 Nov 2000 06:30:56 -0500

glide (2000.11.02) unstable; urgency=low

  * The merge! We now have ONE source package!
  * Still trying to figure out how not to loose the glide3 changelog.

 -- Zephaniah E. Hull <warp@debian.org>  Fri,  3 Nov 2000 01:06:51 -0500

glide2 (2000.08.08.1) unstable; urgency=low

  * Now against X4.
  * Hopefully the next upload will have glide2 and glide3 merged source
    package wise.
  * No upstream source changes, mostly just a recompile, thus the
    version.

 -- Zephaniah E. Hull <warp@debian.org>  Thu,  2 Nov 2000 04:50:02 -0500

glide2 (2000.08.08) unstable; urgency=low

  * New packaging setup! Now as a debian native package.
  * Many of my patches are now in the glide2 CVS tree.
  * Please note that sst1 /is/ broken at this time.
  * Separate tarballs for swlibs and glide2, yes, there is a reason.

 -- Zephaniah E. Hull <warp@debian.org>  Sun,  8 Oct 2000 06:13:41 -0400

glide2 (2.cvs.20000712-4) unstable; urgency=low

  * Killed the libglide.so symlink, per request.
  * Really truely fixed the debconf issues, joeyh fixed a bug in debconf
    so that things did not freeze solid in my perfectly valid case.

 -- Zephaniah E. Hull <warp@debian.org>  Wed, 20 Sep 2000 21:48:08 -0400

glide2 (2.cvs.20000712-4) unstable; urgency=low

  * More debconf fixes. (closes: #70612, #70857)
  * Cleaned up some patches.
  * Some depend fixes.

 -- Zephaniah E. Hull <warp@debian.org>  Sat, 16 Sep 2000 07:21:21 -0400

glide2 (2.cvs.20000712-3) unstable; urgency=low

  * Little fixes with debconf stuff.

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 24 Aug 2000 05:23:08 -0400

glide2 (2.cvs.20000712-2) unstable; urgency=low

  * /All/ packages need to conflict with the old packages.
  * Default to the V3 lib if no voodoo cards exist.

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 24 Aug 2000 04:11:43 -0400

glide2 (2.cvs.20000712-1) unstable; urgency=low

  * Completely repackaged all of glide2 from cvs.

 -- Zephaniah E. Hull <warp@debian.org>  Tue,  8 Aug 2000 04:12:51 -0400
